﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Traffic.Data.ViewModels
{
    public class AccountUpdatePasswordViewModel
    {
        [Required(ErrorMessage = "您必須輸入舊密碼")]
        public string OldPassword { get; set; }

        [MinLength(8, ErrorMessage = "請輸入至少8個字元")]
        [Required(ErrorMessage = "您必須輸入新密碼")]
        public string NewPassword { get; set; }
    }
}
