﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace Traffic.Data.ViewModels
{
    public class JsonCheckPunish
    {
        [JsonPropertyName("area")]
        public string area { get; set; }
        [JsonPropertyName("handlingTime")]
        public string handlingTime { get; set; }
        [JsonPropertyName("eventID")]
        public string eventID { get; set; }
        [JsonPropertyName("policeID")]
        public string policeID { get; set; }
        [JsonPropertyName("vehicleName")]
        public string vehicleName { get; set; }
        [JsonPropertyName("images")]
        public List<string> images { get; set; }


        [JsonPropertyName("county")]
        public string county { get; set; }
        [JsonPropertyName("siteName")]
        public string siteName { get; set; }
        [JsonPropertyName("plate")]
        public string plate { get; set; }
        [JsonPropertyName("organization")]
        public string organization { get; set; }
        [JsonPropertyName("eventName")]
        public string eventName { get; set; }
        [JsonPropertyName("sn")]
        public string sn { get; set; }
        [JsonPropertyName("punishID")]
        public string punishID { get; set; }
    }
    public class JsonCheckPunishEventType1 : JsonCheckPunish
    {
        [JsonPropertyName("alarmTime")]
        public string alarmTime { get; set; }
        [JsonPropertyName("inTime")]
        public string inTime { get; set; }
        [JsonPropertyName("outTime")]
        public string outTime { get; set; }
    }

    public class JsonCheckPunishEventType2 : JsonCheckPunish
    {
        [JsonPropertyName("distance")]
        public string distance { get; set; }
        [JsonPropertyName("speed")]
        public string speed { get; set; }
        [JsonPropertyName("totalPassTime")]
        public string totalPassTime { get; set; }
        [JsonPropertyName("inTime")]
        public string inTime { get; set; }
        [JsonPropertyName("outTime")]
        public string outTime { get; set; }
    }

    public class JsonCheckPunishEventType3 : JsonCheckPunish
    {
        [JsonPropertyName("alarmTime")]
        public string alarmTime { get; set; }
    }

    public class JsonCheckPunishEventType4 : JsonCheckPunish
    {
        [JsonPropertyName("alarmTime")]
        public string alarmTime { get; set; }
    }

    public class JsonCheckPunishEventType6 : JsonCheckPunish
    {
        [JsonPropertyName("alarmTime")]
        public string alarmTime { get; set; }
        [JsonPropertyName("ton")]
        public string ton { get; set; }
    }
}
