﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace Traffic.Data.ViewModels
{
    public class MalfunctionViewModel
    {
        [JsonPropertyName("userId")]
        public int UserId { get; set; }
        [JsonPropertyName("Siteid")]
        public string Siteid { get; set; }
        [JsonPropertyName("CompanyCode")]
        public string CompanyCode { get; set; }
        [JsonPropertyName("DeviceType")]
        public string DeviceType { get; set; }
        [JsonPropertyName("DeviceID")]
        public string DeviceID { get; set; }
        [JsonPropertyName("Message")]
        public string Message { get; set; }
        [JsonPropertyName("Time")]
        public string Time { get; set; }
        [JsonPropertyName("Status")]
        public string Status { get; set; }
    }

    public class SiteMalfunctionViewModel
    {
        [JsonPropertyName("userId")]
        public int UserId { get; set; }
        [JsonPropertyName("County")]
        public string County { get; set; }
        [JsonPropertyName("Area")]
        public string Area { get; set; }
        [JsonPropertyName("Siteid")]
        public string Siteid { get; set; }
        [JsonPropertyName("SiteName")]
        public string SiteName { get; set; }
        [JsonPropertyName("SiteStatus")]
        public string SiteStatus { get; set; }
        [JsonPropertyName("EventType")]
        public string EventType { get; set; }
        [JsonPropertyName("Malfunction")]
        public List<MalfunctionViewModel> Malfunctions { get; set; }
    }
}
