﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace Traffic.Data.ViewModels
{
    public class RoleData
    {
        [JsonPropertyName("Id")]
        public int Id { get; set; }

        [JsonPropertyName("RoleName")]
        public string RoleName { get; set; }

        [JsonPropertyName("Status")]
        public bool Status { get; set; }

        [JsonPropertyName("CreatorId")]
        public string CreatorId { get; set; }

        [JsonPropertyName("CreatedOn")]
        public DateTime CreatedOn { get; set; }
    }

    public class RoleDataQuery
    {
        [JsonPropertyName("Id")]
        public int Id { get; set; }

        [JsonPropertyName("RoleName")]
        public string RoleName { get; set; }

        [JsonPropertyName("Status")]
        public bool Status { get; set; }

        [JsonPropertyName("CreateID")]
        public int CreateID { get; set; }

        [JsonPropertyName("CreateTime")]
        public string CreateTime { get; set; }
    }

    public class RoleCodeInfo
    {
        [JsonPropertyName("Id")]
        public int Id { get; set; }
        [JsonPropertyName("RoleName")]
        public string RoleName { get; set; }
    }
}
