﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace Traffic.Data.ViewModels
{
    public class SearchModel
    {
        [JsonPropertyName("Term")]
        public string Term { get; set; }
        [JsonPropertyName("Page")]
        public int Page { get; set; }
        [JsonPropertyName("PageSize")]
        public int PageSize { get; set; }
        [JsonPropertyName("Order")]
        public string Order { get; set; }
        [JsonPropertyName("IsAsc")]
        public bool IsAsc { get; set; }

        public SearchModel()
        {
            Page = 1;
            PageSize = 10;
            Order = "id";
            IsAsc = true;
        }
    }
}
