﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.Models;

namespace Traffic.Repository.Interfaces
{
    public interface IAnnounceRepository
    {
        public IEnumerable<Announce> GetAnnounces();
        public Announce GetAnnounceById(int id);
        public bool InsertAnnounce(Announce company);
        public bool UpdateAnnounce(Announce company);
        public bool DeleteAnnounce(int id);
    }
}
