﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.Models;

namespace Traffic.Repository.Interfaces
{
    public interface ICompanyInformationRepository
    {
        public IEnumerable<CompanyInformation> GetCompanyInformations();
        public CompanyInformation GetCompanyInformationById(int id);
        public bool InsertCompanyInformation(CompanyInformation company);
        public bool UpdateCompanyInformation(CompanyInformation company);
        public bool DeleteCompanyInformation(int id);
    }
}
