﻿using System.Collections.Generic;
using Traffic.Data.Models;

namespace Traffic.Repository.Interfaces
{
    public interface IEventTypeRepository
    {
        public IEnumerable<EventTypeData> GetEventTypes();
        public IEnumerable<EventTypeData> GetEventType1s();
        public EventTypeData GetEventTypeById(int id);
        public EventTypeData GetEventTypeByEventType(string eventType);
        public bool InsertEventType(EventTypeData eventType);
        public bool UpdateEventType(EventTypeData eventType);
        public bool DeleteEventType(int id);
    }
}
