﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.Models;

namespace Traffic.Repository.Interfaces
{
    public interface INotPunishRepository
    {
        public IEnumerable<NotPunish> GetNotPunishs();
        public NotPunish GetNotPunishById(int id);
        public bool InsertNotPunish(NotPunish data);
        public bool UpdateNotPunish(NotPunish data);
        public bool DeleteNotPunish(int id);
    }
}
