﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.Models;

namespace Traffic.Repository.Interfaces
{
    public interface IRepairRepository
    {
        public IEnumerable<Repair> GetRepairs();
        public Repair GetRepairById(int id);
        public bool InsertRepair(Repair data);
        public bool UpdateRepair(Repair data);
        public bool DeleteRepair(int id);
    }
}
