﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.Models;
using Traffic.Data.ViewModels;

namespace Traffic.Service.Interfaces
{
    public interface ICompanyInformationService
    {
        public IEnumerable<CompanyInformationViewModel> GetCompanyInformations();

        public IEnumerable<CompanyInformationViewModel> GetCompanyInformationsEmailNotNull();

        public PageViewModel<IEnumerable<CompanyInformation>> GetCompanyInformations(SearchModel searchModel);

        public CompanyInformationViewModel GetCompanyInformationById(int id);

        public TradeResultModel InsertCompanyInformation(CompanyInformationViewModel CompanyInformation);

        public TradeResultModel UpdatCompanyInformation(int id, CompanyInformationViewModel CompanyInformation);

        public TradeResultModel DeleteCompanyInformation(int id);
    }
}
