﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.ViewModels;

namespace Traffic.Service.Interfaces
{
    public interface IEventTypeService
    {
        public IEnumerable<EventTypeViewModel> GetEventTypes();

        public IEnumerable<EventTypeViewModel> GetEventType1s();

        public PageViewModel<IEnumerable<EventTypeViewModel>> GetEventTypes(SearchModel searchModel);

        public EventTypeViewModel GetEventTypeById(int id);

        public EventTypeViewModel GetEventTypeByEventType(string eventType);

        public TradeResultModel InsertEventType(EventTypeViewModel EventType);

        public TradeResultModel UpdatEventType(int id, EventTypeViewModel EventType);

        public TradeResultModel DeleteEventType(int id);
    }
}
