﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.ViewModels;

namespace Traffic.Service.Interfaces
{
    public interface IPageListService
    {
        TradeResultModel PostPageDataList(PageData pageData);

        TradeResultModel DeletePageData(int id);

        TradeResultModel PutPageData(PageData pageData);

        PageViewModel<IEnumerable<PageData>> GetPageDataList(SearchModel searchModel);
    }
}
