﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Traffic.Data.Models
{
    public class Event
    {
        public int Id { get; set; }
        public string SiteID { get; set; }
        public string EventID { get; set; }
        public string Channel { get; set; }
        public string Slot { get; set; }
        public string Number { get; set; }
        public string PlateNumber { get; set; }
        public string EventType { get; set; }
        public string VehicleType { get; set; }
        public string Distance { get; set; }
        public string Speed { get; set; }
        public string TotalPassTime { get; set; }
        public string LimitTon { get; set; }
        public string Ton { get; set; }
        public string InTime { get; set; }
        public string AlarmTime { get; set; }
        public string OutTime { get; set; }
        public string LPRTime { get; set; }
        public string IMGPath1 { get; set; }
        public string IMGPath2 { get; set; }
        public string IMGPath3 { get; set; }
        public string IMGPath4 { get; set; }
        public string IMGPath5 { get; set; }
        public string IMGPath6 { get; set; }
        public string VideoPath1 { get; set; }
        public string VideoPath2 { get; set; }
        public string IsStay { get; set; }
        public string Unsure { get; set; }
        public string CheckPunish { get; set; }
        public string Punished { get; set; }
        public string Rejected { get; set; }
        public string CompanyCode { get; set; }
        public string Ps { get; set; }
        public string HandlingTime { get; set; }
        public string UploadTime { get; set; }
        public string Account { get; set; }
    }

    public class JoinEventSite
    {
        public int Id { get; set; }
        public string County { get; set; }
        public string Area { get; set; }
        public string SiteId { get; set; }
        public string SiteName { get; set; }
        public string EventType { get; set; }
        public string VehicleType { get; set; }
        public string Laws { get; set; }
        public string SiteID { get; set; }
        public string EventID { get; set; }
        public string Channel { get; set; }
        public string Slot { get; set; }
        public string Number { get; set; }
        public string PlateNumber { get; set; }
        public string Distance { get; set; }
        public string Speed { get; set; }
        public string TotalPassTime { get; set; }
        public string LimitTon { get; set; }
        public string Ton { get; set; }
        public string InTime { get; set; }
        public string AlarmTime { get; set; }
        public string OutTime { get; set; }
        public string LPRTime { get; set; }
        public string IMGPath1 { get; set; }
        public string IMGPath2 { get; set; }
        public string IMGPath3 { get; set; }
        public string IMGPath4 { get; set; }
        public string IMGPath5 { get; set; }
        public string IMGPath6 { get; set; }
        public string VideoPath1 { get; set; }
        public string VideoPath2 { get; set; }
        public string IsStay { get; set; }
        public string Unsure { get; set; }
        public string CheckPunish { get; set; }
        public string Punished { get; set; }
        public string Rejected { get; set; }
        public string CompanyCode { get; set; }
        public string Ps { get; set; }
        public string HandlingTime { get; set; }
        public string UploadTime { get; set; }
        public string Account { get; set; }
    }

    public class JoinEventSiteAndUser
    {
        public int Id { get; set; }
        public string UserID { get; set; }
        public string County { get; set; }
        public string Area { get; set; }
        public string SiteId { get; set; }
        public string SiteName { get; set; }
        public string EventType { get; set; }
        public string VehicleType { get; set; }
        public string Laws { get; set; }
        public string SiteID { get; set; }
        public string EventID { get; set; }
        public string Channel { get; set; }
        public string Slot { get; set; }
        public string Number { get; set; }
        public string PlateNumber { get; set; }
        public string Distance { get; set; }
        public string Speed { get; set; }
        public string TotalPassTime { get; set; }
        public string LimitTon { get; set; }
        public string Ton { get; set; }
        public string InTime { get; set; }
        public string AlarmTime { get; set; }
        public string OutTime { get; set; }
        public string LPRTime { get; set; }
        public string IMGPath1 { get; set; }
        public string IMGPath2 { get; set; }
        public string IMGPath3 { get; set; }
        public string IMGPath4 { get; set; }
        public string IMGPath5 { get; set; }
        public string IMGPath6 { get; set; }
        public string VideoPath1 { get; set; }
        public string VideoPath2 { get; set; }
        public string IsStay { get; set; }
        public string Unsure { get; set; }
        public string CheckPunish { get; set; }
        public string Punished { get; set; }
        public string Rejected { get; set; }
        public string CompanyCode { get; set; }
        public string Ps { get; set; }
        public string HandlingTime { get; set; }
        public string UploadTime { get; set; }
        public string Account { get; set; }
    }
}
