﻿using System.Collections.Generic;
using System.Text.Json.Serialization;

namespace Traffic.Service.Interfaces
{
    public class ReportSiteEventTypesViewModel
    {
        public List<EachSiteEventTypesViewModel> EachSiteEventTypesViewModel { get; set; }
        public List<EachEventTypesSiteViewModel> EachEventTypesSiteViewModel { get; set; }
    }

    public class EachSiteEventTypesViewModel
    {
        ///// <summary>
        ///// 流水號
        ///// </summary>
        //[JsonPropertyName("Id")]
        //public int Id { get; set; }
        /// <summary>
        /// 站點
        /// </summary>
        [JsonPropertyName("SiteId")]
        public string SiteId { get; set; }

        /// <summary>
        /// 站點名稱
        /// </summary>
        [JsonPropertyName("SiteName")]
        public string SiteName { get; set; }

        /// <summary>
        /// 違規總數
        /// </summary>
        [JsonPropertyName("EventTotalCount")]
        public int EventTotalCount { get; set; }

        /// <summary>
        /// 未舉發數量
        /// </summary>
        [JsonPropertyName("NoStatusCount")]
        public int NoStatusCount { get; set; }

        /// <summary>
        /// 已舉發數量
        /// </summary>
        [JsonPropertyName("CheckPunishCount")]
        public int CheckPunishCount { get; set; }

        /// <summary>
        /// 不開單數量
        /// </summary>
        [JsonPropertyName("NoPunishCount")]
        public int NoPunishCount { get; set; }

        ///// <summary>
        ///// 取消開單數量
        ///// </summary>
        //[JsonPropertyName("CancelPunishCount")]
        //public int CancelPunishCount { get; set; }

        /// <summary>
        /// 被駁回數量
        /// </summary>
        [JsonPropertyName("RejectedCount")]
        public int RejectedCount { get; set; }

        /// <summary>
        /// 已開單數量
        /// </summary>
        [JsonPropertyName("PunishCount")]
        public int PunishCount { get; set; }
    }

    public class EachEventTypesSiteViewModel
    {
        ///// <summary>
        ///// 流水號
        ///// </summary>
        //[JsonPropertyName("Id")]
        //public int Id { get; set; }

        /// <summary>
        /// EventName
        /// </summary>
        [JsonPropertyName("EventName")]
        public string EventName { get; set; }

        /// <summary>
        /// 違規總數
        /// </summary>
        [JsonPropertyName("EventTotalCount")]
        public int EventTotalCount { get; set; }

        /// <summary>
        /// 未舉發數量
        /// </summary>
        [JsonPropertyName("NoStatusCount")]
        public int NoStatusCount { get; set; }

        /// <summary>
        /// 已舉發數量
        /// </summary>
        [JsonPropertyName("CheckPunishCount")]
        public int CheckPunishCount { get; set; }

        /// <summary>
        /// 不開單數量
        /// </summary>
        [JsonPropertyName("NoPunishCount")]
        public int NoPunishCount { get; set; }

        ///// <summary>
        ///// 取消開單數量
        ///// </summary>
        //[JsonPropertyName("CancelPunishCount")]
        //public int CancelPunishCount { get; set; }

        /// <summary>
        /// 被駁回數量
        /// </summary>
        [JsonPropertyName("RejectedCount")]
        public int RejectedCount { get; set; }

        /// <summary>
        /// 已開單數量
        /// </summary>
        [JsonPropertyName("PunishCount")]
        public int PunishCount { get; set; }
    }
}