﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace Traffic.Data.ViewModels
{
    public class PageViewModel<T>
    {

        [JsonPropertyName("RowCount")]
        public int RowCount { get; set; }

        [JsonPropertyName("PageCount")]
        public int PageCount { get; set; }

        [JsonPropertyName("CurrentPage")]
        public int CurrentPage { get; set; }

        [JsonPropertyName("Data")]
        public T Data { get; set; }
    }
}
