﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace Traffic.Data.Models
{
    public class RolePermissionData
    {
        [JsonPropertyName("Id")] 
        public int Id { get; set; }

        [JsonPropertyName("RoleCodeId")] 
        public int RoleCodeId { get; set; }

        [JsonPropertyName("PageId")] 
        public int PageId { get; set; }
    }

    public class RolePermissionDataQuery
    {
        [JsonPropertyName("Id")] 
        public int Id { get; set; }

        [JsonPropertyName("RoleId")] 
        public int RoleId { get; set; }

        [JsonPropertyName("PageId")] 
        public int PageId { get; set; }

        [JsonPropertyName("RoleName")] 
        public string RoleName { get; set; }

        [JsonPropertyName("PageName")] 
        public string PageName { get; set; }
    }

    public class PagePermissionData
    {
        [JsonPropertyName("Enable")] 
        public bool Enable { get; set; }

        [JsonPropertyName("RoleId")] 
        public int RoleId { get; set; }

        [JsonPropertyName("PageId")] 
        public int PageId { get; set; }

    }

    public class PagePermissionDataQuery
    {
        [JsonPropertyName("Enable")] 
        public bool Enable { get; set; }

        [JsonPropertyName("RoleId")] 
        public int RoleId { get; set; }

        [JsonPropertyName("PageId")] 
        public int PageId { get; set; }

        [JsonPropertyName("PageModule")]
        public string PageModule { get; set; }

        [JsonPropertyName("PageName")] 
        public string PageName { get; set; }

        [JsonPropertyName("PageUrl")] 
        public string PageUrl { get; set; }
    }
}
