﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace Traffic.Data.ViewModels
{
    public class SiteInformationViewModel
    {
        [JsonPropertyName("Id")]
        public int Id { get; set; }
        [JsonPropertyName("Country")]
        public string County { get; set; }
        [JsonPropertyName("Area")]
        public string Area { get; set; }
        [JsonPropertyName("SiteID")]
        public string SiteID { get; set; }
        [JsonPropertyName("SiteName")]
        public string SiteName { get; set; }
        [JsonPropertyName("EventType")]
        public string EventType { get; set; }
        [JsonPropertyName("EventName")]
        public string EventName { get; set; }
        [JsonPropertyName("Ip")]
        public string Ip { get; set; }
        [JsonPropertyName("DbName")]
        public string DbName { get; set; }
        [JsonPropertyName("TableName")]
        public string TableName { get; set; }
        [JsonPropertyName("User")]
        public string User { get; set; }
        [JsonPropertyName("Password")]
        public string Password { get; set; }
        [JsonPropertyName("FinalRecord")]
        public int FinalRecord { get; set; }
        [JsonPropertyName("Target")]
        public string Target { get; set; }
        [JsonPropertyName("ClusterHead")]
        public string ClusterHead { get; set; }
        [JsonPropertyName("ARHFinalRecord")]
        public int ARHFinalRecord { get; set; }
        [JsonPropertyName("Laws")]
        public string Laws { get; set; }
        [JsonPropertyName("CompanyCode")]
        public string CompanyCode { get; set; }
        [JsonPropertyName("CompanyName")]
        public string CompanyName { get; set; }
        [JsonPropertyName("CompanyEmail")]
        public string CompanyEmail { get; set; }
    }

    public class UserSiteInformationViewModel
    {
        [JsonPropertyName("Id")]
        public int Id { get; set; }
        [JsonPropertyName("Country")]
        public string County { get; set; }
        [JsonPropertyName("Area")]
        public string Area { get; set; }
        [JsonPropertyName("SiteID")]
        public string SiteID { get; set; }
        [JsonPropertyName("SiteName")]
        public string SiteName { get; set; }
        [JsonPropertyName("EventType")]
        public string EventType { get; set; }
        [JsonPropertyName("EventName")]
        public string EventName { get; set; }
        [JsonPropertyName("CompanyCode")]
        public string CompanyCode { get; set; }
        [JsonPropertyName("CompanyName")]
        public string CompanyName { get; set; }
        [JsonPropertyName("CompanyEmail")]
        public string CompanyEmail { get; set; }
    }
}
