﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;
using Traffic.Data.Models;

namespace Traffic.Data.ViewModels
{
    public class UserDataQuery
    {
        [JsonPropertyName("Id")]
        public int Id { get; set; }
        [JsonPropertyName("Account")]
        public string Account { get; set; }
        [JsonPropertyName("UserName")]
        public string UserName { get; set; }
        [JsonPropertyName("Email")]
        public string Email { get; set; }
        [JsonPropertyName("PhoneNumber")]
        public string PhoneNumber { get; set; }
        [JsonPropertyName("Status")]
        public int Status { get; set; }
        [JsonPropertyName("RoleCode")]
        public AccountRole RoleCode { get; set; }
        [JsonPropertyName("RoleCode_Id")]
        public int RoleCode_Id { get; set; }
        [JsonPropertyName("GroupCode")]
        public AccountGroup GroupCode { get; set; }
        [JsonPropertyName("GroupCode_Id")]
        public int GroupCode_Id { get; set; }
        [JsonPropertyName("IsLogon")]
        public bool? IsLogon { get; set; }
        [JsonPropertyName("CreatorId")]
        public string CreatorId { get; set; }
        [JsonPropertyName("CreatedOn")]
        public string CreatedOn { get; set; }

        [JsonPropertyName("PoliceStation")]
        public PoliceStationViewModel PoliceStation { get; set; }

        [JsonPropertyName("Site")]
        public List<UserSiteViewModel> Site { get; set; }
    }
}
