﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.Models;

namespace Traffic.Repository.Interfaces
{
    public interface IPoliceStationRepository
    {
        public IEnumerable<PoliceStation> GetPoliceStations();
        public PoliceStation GetPoliceStationById(int id);
        public bool InsertPoliceStation(PoliceStation station);
        public bool UpdatePoliceStation(PoliceStation station);
        public bool DeletePoliceStation(int id);
    }
}
