﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.ViewModels;

namespace Traffic.Service.Interfaces
{
    public interface IRepairService
    {
        public IEnumerable<RepairViewModel> GetRepairs();

        public PageViewModel<IEnumerable<RepairViewModel>> GetRepairs(SearchModel searchModel);

        public RepairViewModel GetRepairById(int id);

        public TradeResultModel InsertRepair(RepairViewModel Repair);

        public TradeResultModel UpdatRepair(int id, RepairViewModel Repair);

        public TradeResultModel DeleteRepair(int id);
    }
}
